package com.muyu.marketing.domain;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import javax.validation.constraints.NotNull;

import java.io.Serializable;

import java.util.Date;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;

/**
* 团购活动执行表
* @TableName activity_team_open_info
*/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ActivityTeamOpenInfo implements Serializable {

    /**
    * 主键
    */

    @ApiModelProperty("主键")
    private Integer id;
    /**
    * 团购活动ID
    */
    @NotNull(message="[团购活动ID]不能为空")
    @ApiModelProperty("团购活动ID")
    private Long teamId;
    /**
    * 团购类型
    */

    @ApiModelProperty("团购类型")

    private String teamType;
    /**
    * 团购策略
    */

    @ApiModelProperty("团购策略")

    private String teamStrategyId;
    /**
    * 参团类型
    */

    @ApiModelProperty("参团类型")

    private String executiveType;
    /**
    * 结束团购时间
    */

    @ApiModelProperty("结束团购时间")
    private Date endTime;
    /**
    * 商品ID
    */

    @ApiModelProperty("商品ID")

    private String productId;
    /**
    * 商品名称
    */

    @ApiModelProperty("商品名称")

    private String productName;
    /**
    * 商品规格
    */

    @ApiModelProperty("商品规格")

    private String productSku;
    /**
    * 开团标识
    */

    @ApiModelProperty("开团标识")

    private String key;
    /**
    * 订单ID
    */

    @ApiModelProperty("订单ID")

    private String orderId;
    /**
    * 开团状态
    */

    @ApiModelProperty("开团状态")

    private String status;
    /**
    * 创建人
    */

    @ApiModelProperty("创建人")

    private String createBy;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
    * 修改人
    */

    @ApiModelProperty("修改人")

    private String updateBy;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    private Date updateTime;
    /**
    * 备注
    */

    @ApiModelProperty("备注")

    private String remark;

}
