package com.muyu.marketing.domain;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import javax.validation.constraints.NotNull;

import java.io.Serializable;

import java.math.BigDecimal;
import java.util.Date;
import java.util.function.Supplier;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.marketing.domain.model.ActivityTeamInfoAddModel;
import com.muyu.marketing.domain.req.ActivityTeamInfoSaveReq;
import com.muyu.marketing.domain.resp.RuleInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.hibernate.validator.constraints.Length;

/**
* 商品拼团规格信息表
* @TableName activity_team_product_sku_info
*/
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class ActivityTeamProductSkuInfo  {

    /**
    * 主键
    */



    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty("主键")
    private Long id;
    /**
    * 活动ID
    */

    @ApiModelProperty("活动ID")
    private Long teamId;
    /**
    * 商品ID
    */

    @ApiModelProperty("商品ID")

    private Long productId;
    /**
    * 商品SKU
    */

    @ApiModelProperty("商品SKU")
    @Length(max= 255,message="编码长度不能超过255")
    private String productSku;
    /**
    * 拼团库存
    */

    @ApiModelProperty("拼团库存")

    private Long teamStock;

    /**
     * 剩余库存
     */
    private Long remainStock;
    /**
    * 拼团价格
    */

    @ApiModelProperty("拼团价格")

    private BigDecimal teamPrice;
    /**
    * 创建人
    */

    @ApiModelProperty("创建人")

    private String createBy;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
    * 修改人
    */

    @ApiModelProperty("修改人")

    private String updateBy;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    private Date updateTime;
    /**
    * 备注
    */

    @ApiModelProperty("备注")

    private String remark;


//    public static ActivityTeamProductSkuInfo saveBuildModelSkuInfo(ActivityTeamInfoSaveReq activityTeamInfoSaveReq, RuleInfo ruleInfo,Supplier<String> createBy){
//        return   ActivityTeamProductSkuInfo.builder()
//                .teamId(activityTeamInfoSaveReq.getId())
//                .productSku(ruleInfo.getRuleSku())
//                .teamStock(ruleInfo.getTeamStock())
//                .teamPrice(ruleInfo.getTeamPrice())
//                .productId(activityTeamInfoSaveReq.getProductId())
//                .createTime(new Date())
//                .createBy(createBy)
//                .build();
//    }

}
