package com.muyu.marketing.domain.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.marketing.domain.resp.RuleInfo;
import io.swagger.annotations.ApiModel;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "ActivityTeamInfo", description = "拼团活动表")
public class ActivityTeamInfoAddModel extends BaseEntity {
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品图片
     */
    private String productImage;
    /**
     * 活动名称
     */
    private String name;
    /**
     * 活动简介
     */
    private String intro;
    /**
     * 商品单位
     */
    private String unit;
    /**
     * 商品的轮播图
     */
    private List<String> introduction;
    /**
     * 活动时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date endTime;
    /**
     * 策略ID
     */
    private Long strategyId;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 商品规格List
     */
    private List<RuleInfo> ruleInfo  ;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 详情
     */
    private String content;



}
