package com.muyu.marketing.domain.model;

import com.muyu.marketing.domain.ActivityTeamInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;
import java.util.function.Function;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ActivityTeamInfoListModel {
    /**
     * 主建
     */
    private Long id;
    /**
     *拼团名称
     */
    private String name;
    /**
     *参团人数
     */
    private Long addTeamNumber;
    /**
     *开团人数
     */
    private Long openTeamNumber;
    /**
     *拼团人数
     */
    private Long attendNumber;
    /**
     *结束时间
     */
    private Date endTime;
    /**
     *图片
     */
    private String productImage;
    /**
     *拼团价格
     */
    private BigDecimal teamPrice;
    /**
     *商品价格
     */
    private BigDecimal productPrice;
    /**
     *团购库存
     */
    private Long teamStock;
    /**
     *剩余库存
     */
    private Long remainStock;
    /**
     *活动状态
     */
    private String status;


    public static ActivityTeamInfoListModel infoBuild(ActivityTeamInfo activityTeamInfo, Function<ActivityTeamInfoListModel.ActivityTeamInfoListModelBuilder,ActivityTeamInfoListModel> function){
        ActivityTeamInfoListModel builder = ActivityTeamInfoListModel.builder()
          .id(activityTeamInfo.getId())
          .name(activityTeamInfo.getName())
          .endTime(activityTeamInfo.getEndTime())
          .productImage(activityTeamInfo.getProductImage())
          .status(activityTeamInfo.getStatus())
                .build();
        return function.apply(
                 ActivityTeamInfoListModel.builder()
                         .id(activityTeamInfo.getId())
                         .name(activityTeamInfo.getName())
                         .endTime(activityTeamInfo.getEndTime())
                         .productImage(activityTeamInfo.getProductImage())
                         .status(activityTeamInfo.getStatus())
        );
    }

}
