package com.muyu.marketing.domain.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.math.RoundingMode;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class TeamProductDiscountPriceModel {
    /**
     * 商品价格
     */
    private BigDecimal productPrice;
    /**
     * 团购优惠价格
     */
    private BigDecimal teamPrice;
    /**
     * 优惠力度
     */
    private Double disCount;


    public static TeamProductDiscountPriceModel of(BigDecimal productPrice,BigDecimal teamPrice){
               return   TeamProductDiscountPriceModel.builder()
                .productPrice(productPrice)
                .teamPrice(teamPrice)
                .disCount(productPrice.subtract(teamPrice).divide(productPrice,2, RoundingMode.HALF_UP).doubleValue())
                .build();

    }

}
