package com.muyu.marketing.domain.req;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.marketing.domain.resp.RuleInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "AttributeInfo", description = "商品属性")
public class ActivityTeamInfoSaveReq {


    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty("主键")
    private Long id;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品图片
     */
    private String productImage;
    /**
     * 活动名称
     */
    private String name;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 商品单位
     */
    private String unit;
    /**
     * 商品的轮播图
     */
    private  String imageList;
    /**
     * 活动时间
     */

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date endTime;
    /**
     * 策略ID
     */
    private Long strategyId;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 商品规格List
     */
    private List<RuleInfo> ruleInfo  ;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 详情
     */
    private String content;

    private String status;



}
