package com.muyu.marketing.domain.resp;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.marketing.domain.ActivityTeamInfo;
import com.muyu.marketing.domain.model.ActivityTeamInfoListModel;
import com.muyu.marketing.domain.model.ActivityTeamInfoListQueryModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("team_info")
public class TeamInfoListResp {
    /**
     * 拼团活动Id
     */
    private Long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 拼团商品图片
     */
    private String productimage;
    /**
     * 商品价格
     */
    private BigDecimal productPrice;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;
    /**
     * 拼团人数
     */
    private Long openTeamNumber;
    /**
     * 开团人数
     */
    private Long addTeamBumber;
    /**
     * 参团人数
     */
    private Long teamStock;
    /**
     * 剩余库存
     */
    private Long remainStock;
    /**
     * 团购结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date endTime;
    /**
     * 团购状态
     */
    private String status;

    private Long attendNumber;



    public static TeamInfoListResp listModelBuild(ActivityTeamInfoListModel activityTeamInfoListModel){
        return TeamInfoListResp.builder()
                .id(activityTeamInfoListModel.getId())
                .name(activityTeamInfoListModel.getName())
                .openTeamNumber(activityTeamInfoListModel.getOpenTeamNumber())
                .addTeamBumber(activityTeamInfoListModel.getAddTeamNumber())
                .endTime(activityTeamInfoListModel.getEndTime())
                .teamPrice(activityTeamInfoListModel.getTeamPrice())
                .productimage(activityTeamInfoListModel.getProductImage())
                .productPrice(activityTeamInfoListModel.getProductPrice())
                .remainStock(activityTeamInfoListModel.getRemainStock())
                .status(activityTeamInfoListModel.getStatus())
                .teamStock(activityTeamInfoListModel.getTeamStock())
                .attendNumber(activityTeamInfoListModel.getAttendNumber())
                .build();
    }

}
