package com.muyu.marketing.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.controller.BaseController;
import com.muyu.marketing.domain.resp.TeamInfoListResp;
import com.muyu.marketing.service.TeamInfoService;
import com.muyu.marketing.domain.ActivityTeamInfo;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Api(tags = "商品拼团信息")
@RestController
@RequestMapping("/teams")
public class TeamInfoController extends BaseController {
    @Autowired
    private TeamInfoService activityTeamInfoService;

    @PostMapping("list")
    public Result list(@RequestBody TeamInfoListResp activityTeamInfo){
        Result<List<TeamInfoListResp>> list = activityTeamInfoService.list(activityTeamInfo);
        return list;
    }



    @PostMapping("add")
    public Result add(@RequestBody  TeamInfoListResp activityTeamInfo){
      return   activityTeamInfoService.add(activityTeamInfo);
    }

    /**
     * 拼团数据回显
     */
    @PostMapping("selectById/{id}")
    public Result selectById(@PathVariable Integer id){
    return     activityTeamInfoService.selectById(id);
    }

    /**
     * 删除
     * @param id
     * @return
     */
    @DeleteMapping("del/{id}")
    public Result<String> del(@PathVariable Integer id){
       return toAjax( activityTeamInfoService.removeById(id));
    }
}
