package com.muyu.marketing.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.marketing.domain.ActivityTeamProductSkuInfo;
import com.muyu.marketing.domain.model.TeamProductDiscountPriceModel;
import com.muyu.marketing.domain.model.TeamProductStockModel;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public interface ActivityTeamProductSkuInfoService extends IService<ActivityTeamProductSkuInfo>{
    public default List<ActivityTeamProductSkuInfo> getActivityTeamProductSkuInfoByTeamId(Long teamId){
        LambdaQueryWrapper<ActivityTeamProductSkuInfo> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(ActivityTeamProductSkuInfo::getTeamId,teamId);
        return this.list(queryWrapper);
    }

    public TeamProductDiscountPriceModel getDiscountPrice(Long teamId);

    public TeamProductStockModel getStock(Long teamId);
}
