package com.muyu.marketing.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.domain.Result;
import com.muyu.marketing.domain.resp.TeamInfoListResp;
import com.muyu.marketing.mapper.TeamInfoMapper;
import com.muyu.marketing.service.TeamInfoService;
import com.muyu.marketing.domain.ActivityTeamInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.List;


@Service
public class TeamInfoServiceImpl extends ServiceImpl<TeamInfoMapper,TeamInfoListResp> implements TeamInfoService {
    @Autowired
    private TeamInfoMapper activityTeamInfoMapper;

    @Override
    public Result<List<TeamInfoListResp>> list(TeamInfoListResp activityTeamInfo) {
        LambdaQueryWrapper<TeamInfoListResp> queryWrapper = new LambdaQueryWrapper<>();

        List<TeamInfoListResp> list = this.list();
        return Result.success(list);
    }

    @Override
    public Result add(TeamInfoListResp activityTeamInfo) {
        activityTeamInfoMapper.insert(activityTeamInfo);
        return Result.success(0,"拼团成功");
    }

    @Override
    public Result selectById(Integer id) {
        return Result.success(activityTeamInfoMapper.selectById(id));
    }

}
