package com.muyu.product.domain.model;

import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.product.domain.ProjectInfo;
import com.muyu.product.domain.req.ProjectInfoEditReq;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.SuperBuilder;

/**
 * @author DongZl
 * @description: 商品添加模型
 * @Date 2024-3-22 上午 10:50
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class ProjectAddModel extends BaseEntity {

    /** 商品名称 */
    @ApiModelProperty(name = "商品名称", value = "商品名称")
    private String name;

    /** 商品描述 */
    @ApiModelProperty(name = "商品描述", value = "商品描述")
    private String introduction;

    /** 主类型 */
    @ApiModelProperty(name = "主类型", value = "主类型")
    private Long mianType;

    /** 父类型 */
    @ApiModelProperty(name = "父类型", value = "父类型")
    private Long parentType;

    /** 商品类型 */
    @ApiModelProperty(name = "商品类型", value = "商品类型")
    private Long type;

    /** 商品图片 */
    @ApiModelProperty(name = "商品图片", value = "商品图片")
    private String image;

    /** 商品轮播图 */
    @ApiModelProperty(name = "商品轮播图", value = "商品轮播图")
    private String carouselImages;

    /** 商品状态 */
    @ApiModelProperty(name = "商品状态", value = "商品状态")
    private String status;

    /** 规格 */
    @ApiModelProperty(name = "规格", value = "规格")
    private Long ruleId;

    /** 品牌 */
    @ApiModelProperty(name = "品牌", value = "品牌")
    private Long brandId;


    /**
     * 修改构造器
     */
    public static ProjectInfo editBuild(Long id, ProjectAddModel projectInfoEditReq){
        return ProjectInfo.builder()
                .id(id)
                .name(projectInfoEditReq.getName())
                .introduction(projectInfoEditReq.getIntroduction())
                .mianType(projectInfoEditReq.getMianType())
                .parentType(projectInfoEditReq.getParentType())
                .type(projectInfoEditReq.getType())
                .image(projectInfoEditReq.getImage())
                .carouselImages(projectInfoEditReq.getCarouselImages())
                .status(projectInfoEditReq.getStatus())
                .ruleId(projectInfoEditReq.getRuleId())
                .brandId(projectInfoEditReq.getBrandId())
                .build();
    }
}
