package com.muyu.product.domain.req;

import com.muyu.common.core.web.domain.TreeEntity;
import com.muyu.product.domain.model.CategoryInfoSaveModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.List;
import java.util.function.Supplier;

/**
 * 品类信息对象 category_info
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor

public class CategoryInfoReq {

    private static final long serialVersionUID = 1L;

    /** 品类名称 */

    private String name;

    /** 图片 */

    private String image;

    /** 是否启用 */

    private String start;

    /** 介绍 */
    @ApiModelProperty(name = "介绍", value = "介绍")
    private String introduction;



    /**
     * 商品属性组关联ID
     */
    private List<Long> attributeGroupList;
    /**
     * 商品属性关联ID
     */
    private List<Long> attributeInfoList;

    /**
     * 商品品牌组关联ID
     */
    private List<Long> brandInfoList;



}
