package com.muyu.product.domain.req;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 拼团订单对象 group_order
 *
 * @author DongZeLiang
 * @date 2024-11-14
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "GroupOrderEditReq", description = "拼团订单")
public class GroupOrderEditReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 外键：关联拼团活动 */
    @ApiModelProperty(name = "外键：关联拼团活动", value = "外键：关联拼团活动")
    private Long groupBuyId;

    /** 用户ID */
    @ApiModelProperty(name = "用户ID", value = "用户ID")
    private Long userId;

    /** 订单状态 */
    @ApiModelProperty(name = "订单状态", value = "订单状态")
    private Long status;

}
