package com.muyu.product.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.common.core.domain.Result;
import com.muyu.product.domain.AsAttributeGroup;
import com.muyu.product.domain.AttributeInfo;
import com.muyu.product.domain.resp.AddAttributeGroupResp;
import com.muyu.product.domain.resp.FindByIdResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 属性与组中间Mapper接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
@Mapper
public interface AsAttributeGroupMapper extends BaseMapper<AsAttributeGroup> {

    /**
     * 回显已有属性
     * @param id
     * @return
     */
    FindByIdResp findById(Integer id);

    /**
     * 删除中间表已有属性
     * @param groupId
     * @return
     */
    void del(Long groupId);

    /**
     * 添加中间表已有属性
     * @param groupId
     * @param list
     * @return
     */
    void add(@Param("groupId") Long groupId , @Param("list") List<AttributeInfo> list);

    void updStatus(@Param("states") String states, @Param("id") Long id);
}
