package com.muyu.product.service.impl;

import java.util.List;

import com.muyu.common.core.utils.ObjUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import com.muyu.product.mapper.GroupOrderMapper;
import com.muyu.product.domain.GroupOrder;
import com.muyu.product.service.GroupOrderService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * 拼团订单Service业务层处理
 *
 * @author DongZeLiang
 * @date 2024-11-14
 */
@Slf4j
@Service
public class GroupOrderServiceImpl extends ServiceImpl<GroupOrderMapper, GroupOrder>  implements GroupOrderService {

    /**
     * 查询拼团订单列表
     *
     * @param groupOrder 拼团订单
     * @return 拼团订单
     */
    @Override
    public List<GroupOrder> list(GroupOrder groupOrder) {
        LambdaQueryWrapper<GroupOrder> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(groupOrder.getGroupBuyId())){
            queryWrapper.eq(GroupOrder::getGroupBuyId, groupOrder.getGroupBuyId());
        }

        if (ObjUtils.notNull(groupOrder.getUserId())){
            queryWrapper.eq(GroupOrder::getUserId, groupOrder.getUserId());
        }


        if (ObjUtils.notNull(groupOrder.getStatus())){
            queryWrapper.eq(GroupOrder::getStatus, groupOrder.getStatus());
        }
        return list(queryWrapper);
    }
}
