package com.muyu.marketing.domain;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import javax.validation.constraints.NotNull;

import java.io.Serializable;

import java.util.Date;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

/**
* 商品拼团信息
* @TableName activity_team_info
*/
public class ActivityTeamInfo implements Serializable {

    /**
    * 主键
    */
    @NotNull(message="[主键]不能为空")
    @ApiModelProperty("主键")
    private Integer id;
    /**
    * 拼团名称
    */
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("拼团名称")
    @Length(max= 255,message="编码长度不能超过255")
    private String name;
    /**
    * 商品ID
    */
    @NotNull(message="[商品ID]不能为空")
    @ApiModelProperty("商品ID")
    private Long productId;
    /**
    * 商品活动图
    */
    @NotBlank(message="[商品活动图]不能为空")
    @Size(max= 128,message="编码长度不能超过128")
    @ApiModelProperty("商品活动图")
    @Length(max= 128,message="编码长度不能超过128")
    private String productImage;
    /**
    * 活动简介
    */
    @Size(max= -1,message="编码长度不能超过-1")
    @ApiModelProperty("活动简介")
    @Length(max= -1,message="编码长度不能超过-1")
    private String introduction;
    /**
    * 单位
    */
    @NotBlank(message="[单位]不能为空")
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("单位")
    @Length(max= 255,message="编码长度不能超过255")
    private String unit;
    /**
    * 轮播图
    */
    @NotBlank(message="[轮播图]不能为空")
    @Size(max= -1,message="编码长度不能超过-1")
    @ApiModelProperty("轮播图")
    @Length(max= -1,message="编码长度不能超过-1")
    private String imageList;
    /**
    * 活动结束时间
    */
    @NotNull(message="[活动结束时间]不能为空")
    @ApiModelProperty("活动结束时间")
    private Date endTime;
    /**
    * 活动排序
    */
    @NotNull(message="[活动排序]不能为空")
    @ApiModelProperty("活动排序")
    private Integer sort;
    /**
    * 活动详情
    */
    @Size(max= -1,message="编码长度不能超过-1")
    @ApiModelProperty("活动详情")
    @Length(max= -1,message="编码长度不能超过-1")
    private String content;
    /**
    * 活动状态
    */
    @NotBlank(message="[活动状态]不能为空")
    @Size(max= 32,message="编码长度不能超过32")
    @ApiModelProperty("活动状态")
    @Length(max= 32,message="编码长度不能超过32")
    private String status;
    /**
    * 策略类型
    */
    @NotBlank(message="[策略类型]不能为空")
    @Size(max= 32,message="编码长度不能超过32")
    @ApiModelProperty("策略类型")
    @Length(max= 32,message="编码长度不能超过32")
    private String strategyType;
    /**
    * 策略ID
    */
    @NotNull(message="[策略ID]不能为空")
    @ApiModelProperty("策略ID")
    private Long strategyId;
    /**
    * 备注
    */
    @Size(max= 900,message="编码长度不能超过900")
    @ApiModelProperty("备注")
    @Length(max= 900,message="编码长度不能超过900")
    private String remark;
    /**
    * 创建人
    */
    @Size(max= 32,message="编码长度不能超过32")
    @ApiModelProperty("创建人")
    @Length(max= 32,message="编码长度不能超过32")
    private String createBy;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
    * 修改人
    */
    @Size(max= 32,message="编码长度不能超过32")
    @ApiModelProperty("修改人")
    @Length(max= 32,message="编码长度不能超过32")
    private String updateBy;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    private Date updateTime;

    /**
    * 主键
    */
    private void setId(Integer id){
    this.id = id;
    }

    /**
    * 拼团名称
    */
    private void setName(String name){
    this.name = name;
    }

    /**
    * 商品ID
    */
    private void setProductId(Long productId){
    this.productId = productId;
    }

    /**
    * 商品活动图
    */
    private void setProductImage(String productImage){
    this.productImage = productImage;
    }

    /**
    * 活动简介
    */
    private void setIntroduction(String introduction){
    this.introduction = introduction;
    }

    /**
    * 单位
    */
    private void setUnit(String unit){
    this.unit = unit;
    }

    /**
    * 轮播图
    */
    private void setImageList(String imageList){
    this.imageList = imageList;
    }

    /**
    * 活动结束时间
    */
    private void setEndTime(Date endTime){
    this.endTime = endTime;
    }

    /**
    * 活动排序
    */
    private void setSort(Integer sort){
    this.sort = sort;
    }

    /**
    * 活动详情
    */
    private void setContent(String content){
    this.content = content;
    }

    /**
    * 活动状态
    */
    private void setStatus(String status){
    this.status = status;
    }

    /**
    * 策略类型
    */
    private void setStrategyType(String strategyType){
    this.strategyType = strategyType;
    }

    /**
    * 策略ID
    */
    private void setStrategyId(Long strategyId){
    this.strategyId = strategyId;
    }

    /**
    * 备注
    */
    private void setRemark(String remark){
    this.remark = remark;
    }

    /**
    * 创建人
    */
    private void setCreateBy(String createBy){
    this.createBy = createBy;
    }

    /**
    * 创建时间
    */
    private void setCreateTime(Date createTime){
    this.createTime = createTime;
    }

    /**
    * 修改人
    */
    private void setUpdateBy(String updateBy){
    this.updateBy = updateBy;
    }

    /**
    * 修改时间
    */
    private void setUpdateTime(Date updateTime){
    this.updateTime = updateTime;
    }


    /**
    * 主键
    */
    private Integer getId(){
    return this.id;
    }

    /**
    * 拼团名称
    */
    private String getName(){
    return this.name;
    }

    /**
    * 商品ID
    */
    private Long getProductId(){
    return this.productId;
    }

    /**
    * 商品活动图
    */
    private String getProductImage(){
    return this.productImage;
    }

    /**
    * 活动简介
    */
    private String getIntroduction(){
    return this.introduction;
    }

    /**
    * 单位
    */
    private String getUnit(){
    return this.unit;
    }

    /**
    * 轮播图
    */
    private String getImageList(){
    return this.imageList;
    }

    /**
    * 活动结束时间
    */
    private Date getEndTime(){
    return this.endTime;
    }

    /**
    * 活动排序
    */
    private Integer getSort(){
    return this.sort;
    }

    /**
    * 活动详情
    */
    private String getContent(){
    return this.content;
    }

    /**
    * 活动状态
    */
    private String getStatus(){
    return this.status;
    }

    /**
    * 策略类型
    */
    private String getStrategyType(){
    return this.strategyType;
    }

    /**
    * 策略ID
    */
    private Long getStrategyId(){
    return this.strategyId;
    }

    /**
    * 备注
    */
    private String getRemark(){
    return this.remark;
    }

    /**
    * 创建人
    */
    private String getCreateBy(){
    return this.createBy;
    }

    /**
    * 创建时间
    */
    private Date getCreateTime(){
    return this.createTime;
    }

    /**
    * 修改人
    */
    private String getUpdateBy(){
    return this.updateBy;
    }

    /**
    * 修改时间
    */
    private Date getUpdateTime(){
    return this.updateTime;
    }

}
