package com.muyu.marketing.domain;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import javax.validation.constraints.NotNull;

import java.io.Serializable;

import java.util.Date;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

/**
* 团购活动执行表
* @TableName activity_team_open_info
*/
public class ActivityTeamOpenInfo implements Serializable {

    /**
    * 主键
    */
    @NotNull(message="[主键]不能为空")
    @ApiModelProperty("主键")
    private Integer id;
    /**
    * 团购活动ID
    */
    @NotNull(message="[团购活动ID]不能为空")
    @ApiModelProperty("团购活动ID")
    private Long teamId;
    /**
    * 团购类型
    */
    @NotBlank(message="[团购类型]不能为空")
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("团购类型")
    @Length(max= 255,message="编码长度不能超过255")
    private String teamType;
    /**
    * 团购策略
    */
    @NotBlank(message="[团购策略]不能为空")
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("团购策略")
    @Length(max= 255,message="编码长度不能超过255")
    private String teamStrategyId;
    /**
    * 参团类型
    */
    @NotBlank(message="[参团类型]不能为空")
    @Size(max= 32,message="编码长度不能超过32")
    @ApiModelProperty("参团类型")
    @Length(max= 32,message="编码长度不能超过32")
    private String executiveType;
    /**
    * 结束团购时间
    */
    @NotNull(message="[结束团购时间]不能为空")
    @ApiModelProperty("结束团购时间")
    private Date endTime;
    /**
    * 商品ID
    */
    @NotBlank(message="[商品ID]不能为空")
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("商品ID")
    @Length(max= 255,message="编码长度不能超过255")
    private String productId;
    /**
    * 商品名称
    */
    @NotBlank(message="[商品名称]不能为空")
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("商品名称")
    @Length(max= 255,message="编码长度不能超过255")
    private String productName;
    /**
    * 商品规格
    */
    @NotBlank(message="[商品规格]不能为空")
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("商品规格")
    @Length(max= 255,message="编码长度不能超过255")
    private String productSku;
    /**
    * 开团标识
    */
    @NotBlank(message="[开团标识]不能为空")
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("开团标识")
    @Length(max= 255,message="编码长度不能超过255")
    private String key;
    /**
    * 订单ID
    */
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("订单ID")
    @Length(max= 255,message="编码长度不能超过255")
    private String orderId;
    /**
    * 开团状态
    */
    @NotBlank(message="[开团状态]不能为空")
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("开团状态")
    @Length(max= 255,message="编码长度不能超过255")
    private String status;
    /**
    * 创建人
    */
    @Size(max= 32,message="编码长度不能超过32")
    @ApiModelProperty("创建人")
    @Length(max= 32,message="编码长度不能超过32")
    private String createBy;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
    * 修改人
    */
    @Size(max= 32,message="编码长度不能超过32")
    @ApiModelProperty("修改人")
    @Length(max= 32,message="编码长度不能超过32")
    private String updateBy;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    private Date updateTime;
    /**
    * 备注
    */
    @Size(max= 900,message="编码长度不能超过900")
    @ApiModelProperty("备注")
    @Length(max= 900,message="编码长度不能超过900")
    private String remark;

    /**
    * 主键
    */
    private void setId(Integer id){
    this.id = id;
    }

    /**
    * 团购活动ID
    */
    private void setTeamId(Long teamId){
    this.teamId = teamId;
    }

    /**
    * 团购类型
    */
    private void setTeamType(String teamType){
    this.teamType = teamType;
    }

    /**
    * 团购策略
    */
    private void setTeamStrategyId(String teamStrategyId){
    this.teamStrategyId = teamStrategyId;
    }

    /**
    * 参团类型
    */
    private void setExecutiveType(String executiveType){
    this.executiveType = executiveType;
    }

    /**
    * 结束团购时间
    */
    private void setEndTime(Date endTime){
    this.endTime = endTime;
    }

    /**
    * 商品ID
    */
    private void setProductId(String productId){
    this.productId = productId;
    }

    /**
    * 商品名称
    */
    private void setProductName(String productName){
    this.productName = productName;
    }

    /**
    * 商品规格
    */
    private void setProductSku(String productSku){
    this.productSku = productSku;
    }

    /**
    * 开团标识
    */
    private void setKey(String key){
    this.key = key;
    }

    /**
    * 订单ID
    */
    private void setOrderId(String orderId){
    this.orderId = orderId;
    }

    /**
    * 开团状态
    */
    private void setStatus(String status){
    this.status = status;
    }

    /**
    * 创建人
    */
    private void setCreateBy(String createBy){
    this.createBy = createBy;
    }

    /**
    * 创建时间
    */
    private void setCreateTime(Date createTime){
    this.createTime = createTime;
    }

    /**
    * 修改人
    */
    private void setUpdateBy(String updateBy){
    this.updateBy = updateBy;
    }

    /**
    * 修改时间
    */
    private void setUpdateTime(Date updateTime){
    this.updateTime = updateTime;
    }

    /**
    * 备注
    */
    private void setRemark(String remark){
    this.remark = remark;
    }


    /**
    * 主键
    */
    private Integer getId(){
    return this.id;
    }

    /**
    * 团购活动ID
    */
    private Long getTeamId(){
    return this.teamId;
    }

    /**
    * 团购类型
    */
    private String getTeamType(){
    return this.teamType;
    }

    /**
    * 团购策略
    */
    private String getTeamStrategyId(){
    return this.teamStrategyId;
    }

    /**
    * 参团类型
    */
    private String getExecutiveType(){
    return this.executiveType;
    }

    /**
    * 结束团购时间
    */
    private Date getEndTime(){
    return this.endTime;
    }

    /**
    * 商品ID
    */
    private String getProductId(){
    return this.productId;
    }

    /**
    * 商品名称
    */
    private String getProductName(){
    return this.productName;
    }

    /**
    * 商品规格
    */
    private String getProductSku(){
    return this.productSku;
    }

    /**
    * 开团标识
    */
    private String getKey(){
    return this.key;
    }

    /**
    * 订单ID
    */
    private String getOrderId(){
    return this.orderId;
    }

    /**
    * 开团状态
    */
    private String getStatus(){
    return this.status;
    }

    /**
    * 创建人
    */
    private String getCreateBy(){
    return this.createBy;
    }

    /**
    * 创建时间
    */
    private Date getCreateTime(){
    return this.createTime;
    }

    /**
    * 修改人
    */
    private String getUpdateBy(){
    return this.updateBy;
    }

    /**
    * 修改时间
    */
    private Date getUpdateTime(){
    return this.updateTime;
    }

    /**
    * 备注
    */
    private String getRemark(){
    return this.remark;
    }

}
