package com.muyu.marketing.domain;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import javax.validation.constraints.NotNull;

import java.io.Serializable;

import java.util.Date;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

/**
* 商品拼团规格信息表
* @TableName activity_team_product_sku_info
*/
public class ActivityTeamProductSkuInfo implements Serializable {

    /**
    * 主键
    */
    @NotNull(message="[主键]不能为空")
    @ApiModelProperty("主键")
    private Integer id;
    /**
    * 活动ID
    */
    @NotNull(message="[活动ID]不能为空")
    @ApiModelProperty("活动ID")
    private Long teamId;
    /**
    * 商品ID
    */
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("商品ID")
    @Length(max= 255,message="编码长度不能超过255")
    private String productId;
    /**
    * 商品SKU
    */
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("商品SKU")
    @Length(max= 255,message="编码长度不能超过255")
    private String productSku;
    /**
    * 拼团库存
    */
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("拼团库存")
    @Length(max= 255,message="编码长度不能超过255")
    private String teamStock;
    /**
    * 拼团价格
    */
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("拼团价格")
    @Length(max= 255,message="编码长度不能超过255")
    private String teamPrice;
    /**
    * 创建人
    */
    @Size(max= 32,message="编码长度不能超过32")
    @ApiModelProperty("创建人")
    @Length(max= 32,message="编码长度不能超过32")
    private String createBy;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
    * 修改人
    */
    @Size(max= 32,message="编码长度不能超过32")
    @ApiModelProperty("修改人")
    @Length(max= 32,message="编码长度不能超过32")
    private String updateBy;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    private Date updateTime;
    /**
    * 备注
    */
    @Size(max= 900,message="编码长度不能超过900")
    @ApiModelProperty("备注")
    @Length(max= 900,message="编码长度不能超过900")
    private String remark;

    /**
    * 主键
    */
    private void setId(Integer id){
    this.id = id;
    }

    /**
    * 活动ID
    */
    private void setTeamId(Long teamId){
    this.teamId = teamId;
    }

    /**
    * 商品ID
    */
    private void setProductId(String productId){
    this.productId = productId;
    }

    /**
    * 商品SKU
    */
    private void setProductSku(String productSku){
    this.productSku = productSku;
    }

    /**
    * 拼团库存
    */
    private void setTeamStock(String teamStock){
    this.teamStock = teamStock;
    }

    /**
    * 拼团价格
    */
    private void setTeamPrice(String teamPrice){
    this.teamPrice = teamPrice;
    }

    /**
    * 创建人
    */
    private void setCreateBy(String createBy){
    this.createBy = createBy;
    }

    /**
    * 创建时间
    */
    private void setCreateTime(Date createTime){
    this.createTime = createTime;
    }

    /**
    * 修改人
    */
    private void setUpdateBy(String updateBy){
    this.updateBy = updateBy;
    }

    /**
    * 修改时间
    */
    private void setUpdateTime(Date updateTime){
    this.updateTime = updateTime;
    }

    /**
    * 备注
    */
    private void setRemark(String remark){
    this.remark = remark;
    }


    /**
    * 主键
    */
    private Integer getId(){
    return this.id;
    }

    /**
    * 活动ID
    */
    private Long getTeamId(){
    return this.teamId;
    }

    /**
    * 商品ID
    */
    private String getProductId(){
    return this.productId;
    }

    /**
    * 商品SKU
    */
    private String getProductSku(){
    return this.productSku;
    }

    /**
    * 拼团库存
    */
    private String getTeamStock(){
    return this.teamStock;
    }

    /**
    * 拼团价格
    */
    private String getTeamPrice(){
    return this.teamPrice;
    }

    /**
    * 创建人
    */
    private String getCreateBy(){
    return this.createBy;
    }

    /**
    * 创建时间
    */
    private Date getCreateTime(){
    return this.createTime;
    }

    /**
    * 修改人
    */
    private String getUpdateBy(){
    return this.updateBy;
    }

    /**
    * 修改时间
    */
    private Date getUpdateTime(){
    return this.updateTime;
    }

    /**
    * 备注
    */
    private String getRemark(){
    return this.remark;
    }

}
