package com.muyu.marketing.domain;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import javax.validation.constraints.NotNull;

import java.io.Serializable;

import java.util.Date;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

/**
* 百人策略
* @TableName team_strategy_exemption_hundred
*/
public class TeamStrategyExemptionHundred implements Serializable {

    /**
    * 主键
    */
    @NotNull(message="[主键]不能为空")
    @ApiModelProperty("主键")
    private Integer id;
    /**
    * 持续时间
    */
    @NotNull(message="[持续时间]不能为空")
    @ApiModelProperty("持续时间")
    private Integer duration;
    /**
    * 最大购买量
    */
    @NotNull(message="[最大购买量]不能为空")
    @ApiModelProperty("最大购买量")
    private Integer maxBuy;
    /**
    * 单次购买量
    */
    @NotNull(message="[单次购买量]不能为空")
    @ApiModelProperty("单次购买量")
    private Integer oneBuy;
    /**
    * 虚拟人数
    */
    @NotNull(message="[虚拟人数]不能为空")
    @ApiModelProperty("虚拟人数")
    private Integer virtualNumber;
    /**
    * 策略状态
    */
    @NotBlank(message="[策略状态]不能为空")
    @Size(max= 32,message="编码长度不能超过32")
    @ApiModelProperty("策略状态")
    @Length(max= 32,message="编码长度不能超过32")
    private String status;
    /**
    * 规则信息
    */
    @NotBlank(message="[规则信息]不能为空")
    @Size(max= -1,message="编码长度不能超过-1")
    @ApiModelProperty("规则信息")
    @Length(max= -1,message="编码长度不能超过-1")
    private String ruleInfo;
    /**
    * 创建人
    */
    @Size(max= 32,message="编码长度不能超过32")
    @ApiModelProperty("创建人")
    @Length(max= 32,message="编码长度不能超过32")
    private String createBy;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
    * 修改人
    */
    @Size(max= 32,message="编码长度不能超过32")
    @ApiModelProperty("修改人")
    @Length(max= 32,message="编码长度不能超过32")
    private String updateBy;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    private Date updateTime;
    /**
    * 备注
    */
    @Size(max= 900,message="编码长度不能超过900")
    @ApiModelProperty("备注")
    @Length(max= 900,message="编码长度不能超过900")
    private String remark;

    /**
    * 主键
    */
    private void setId(Integer id){
    this.id = id;
    }

    /**
    * 持续时间
    */
    private void setDuration(Integer duration){
    this.duration = duration;
    }

    /**
    * 最大购买量
    */
    private void setMaxBuy(Integer maxBuy){
    this.maxBuy = maxBuy;
    }

    /**
    * 单次购买量
    */
    private void setOneBuy(Integer oneBuy){
    this.oneBuy = oneBuy;
    }

    /**
    * 虚拟人数
    */
    private void setVirtualNumber(Integer virtualNumber){
    this.virtualNumber = virtualNumber;
    }

    /**
    * 策略状态
    */
    private void setStatus(String status){
    this.status = status;
    }

    /**
    * 规则信息
    */
    private void setRuleInfo(String ruleInfo){
    this.ruleInfo = ruleInfo;
    }

    /**
    * 创建人
    */
    private void setCreateBy(String createBy){
    this.createBy = createBy;
    }

    /**
    * 创建时间
    */
    private void setCreateTime(Date createTime){
    this.createTime = createTime;
    }

    /**
    * 修改人
    */
    private void setUpdateBy(String updateBy){
    this.updateBy = updateBy;
    }

    /**
    * 修改时间
    */
    private void setUpdateTime(Date updateTime){
    this.updateTime = updateTime;
    }

    /**
    * 备注
    */
    private void setRemark(String remark){
    this.remark = remark;
    }


    /**
    * 主键
    */
    private Integer getId(){
    return this.id;
    }

    /**
    * 持续时间
    */
    private Integer getDuration(){
    return this.duration;
    }

    /**
    * 最大购买量
    */
    private Integer getMaxBuy(){
    return this.maxBuy;
    }

    /**
    * 单次购买量
    */
    private Integer getOneBuy(){
    return this.oneBuy;
    }

    /**
    * 虚拟人数
    */
    private Integer getVirtualNumber(){
    return this.virtualNumber;
    }

    /**
    * 策略状态
    */
    private String getStatus(){
    return this.status;
    }

    /**
    * 规则信息
    */
    private String getRuleInfo(){
    return this.ruleInfo;
    }

    /**
    * 创建人
    */
    private String getCreateBy(){
    return this.createBy;
    }

    /**
    * 创建时间
    */
    private Date getCreateTime(){
    return this.createTime;
    }

    /**
    * 修改人
    */
    private String getUpdateBy(){
    return this.updateBy;
    }

    /**
    * 修改时间
    */
    private Date getUpdateTime(){
    return this.updateTime;
    }

    /**
    * 备注
    */
    private String getRemark(){
    return this.remark;
    }

}
